FCHDIR(P)

NAME
fchdir - change working directory

SYNOPSIS

#include <unistd.h>

int fchdir(int fildes);

DESCRIPTION

The fchdir() function shall be equivalent to chdir() except that the directory that is to be the new current working directory is specified by the file descriptor fildes.

A conforming application can obtain a file descriptor for a file of type directory using open(), provided that the file status flags and access modes do not contain O_WRONLY or O_RDWR.

RETURN VALUE

Upon successful completion, fchdir() shall return 0. Otherwise, it shall return -1 and set errno to indicate the error. On failure the current working directory shall remain unchanged.

ERRORS

The fchdir() function shall fail if:

EACCES
    Search permission is denied for the directory referenced by fildes.

EBADF
    The fildes argument is not an open file descriptor.

ENOTDIR
    The open file descriptor fildes does not refer to a directory.

The fchdir() may fail if:

EINTR
    A signal was caught during the execution of fchdir().

EIO An I/O error occurred while reading from or writing to the file system.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

chdir() , the Base Definitions volume of IEEE Std 1003.1-2001, <unistd.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .